// EdIRRVw.hpp : interface of the CEdIAView class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _EDIRRVW_HPP_
#define _EDIRRVW_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EdIRRes.h"

#include "EdIRBkLs.hpp"
#include "edirdbls.hpp"

//Stefan Dumitrean 8-06-98 ( new scroll )
#include "edirred.hpp"
//End Stefan Dumitrean 8-06-98

/////////////////////////////////////////////////////////////////////////////
// class CPA_EdIR_View
/////////////////////////////////////////////////////////////////////////////

class CPA_EdIR_View : public CFormView
{
	protected: // create from serialization only
		CPA_EdIR_View();
		DECLARE_DYNCREATE(CPA_EdIR_View)

	public:
		//{{AFX_DATA(CPA_EdIR_View)
		enum{ IDD = IDD_IR_EDIA_FORM };
			// NOTE: the ClassWizard will add data members here
		//}}AFX_DATA

	// Attributes
	private:
		CPA_EdIR_BreakPointList	*m_pclBreakPointList;

		//BEGIN ROMTEAM Cristi Petrescu 98-05-
		CPA_EdIR_DebugInfoList *m_pclDebugInfoList;
		//END ROMTEAM Cristi Petrescu 98-05-

		// BEGIN ROMTEAM Cristi Petrescu 98-08-
	public:
		long m_lExecutedLine;
	private:
		// END ROMTEAM Cristi Petrescu 98-08-

//Stefan Dumitrean 8-06-98 ( new scroll )
		CPA_EdIR_EditCtrl *m_p_clEditControl;
//End Stefan Dumitrean 8-06-98

//Stefan Dumitrean 19-06-98 ( choose font )
		void				m_fn_vSaveFontSettings( CString csFileName );
		BOOL				m_fn_bLoadFontSettings( CString csFileName );
		LOGFONT				m_stCurrentFont;
		int					m_nFontSize;
//End Stefan Dumitrean 19-06-98 ( choose font )

	public:
		BOOL	m_bIsReadOnly;

	// Operations
	public:
		BOOL	Create(LPCTSTR,LPCTSTR,DWORD,const RECT &,CWnd *,UINT,CCreateContext *pContext=NULL);
		void	m_fn_vSetReadOnly(BOOL);

		void	m_fn_vSetBreakPointList(CPA_EdIR_BreakPointList *);
		void	m_fn_vSetDebugInfoList(CPA_EdIR_DebugInfoList *);
//Stefan Dumitrean 8-06-98 ( new scroll )
		void	m_fn_vSetEditControl( CPA_EdIR_EditCtrl *p_clEditControl ){ m_p_clEditControl = p_clEditControl; };
//End Stefan Dumitrean 8-06-98
//Stefan Dumitrean 19-06-98 ( choose font )
		void	m_fn_vChooseFont();
		CString m_fn_csGetFontType();
		int		m_fn_nGetFontSize();
		CSize	m_fn_clGetFontExtent();
//End Stefan Dumitrean 19-06-98 ( choose font )

	// Overrides
		// ClassWizard generated virtual function overrides
		//{{AFX_VIRTUAL(CPA_EdIR_View)
	public:
		virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
		virtual void OnInitialUpdate();
	protected:
		virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
		afx_msg UINT OnNcHitTest( CPoint );

	// Implementation
	public:
		virtual ~CPA_EdIR_View();
#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext& dc) const;
#endif

	protected:

	// Generated message map functions
	protected:
		//{{AFX_MSG(CPA_EdIR_View)
			afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
			afx_msg void OnPaint();
			afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG

		DECLARE_MESSAGE_MAP()
};

#endif //_EDIRRVW_HPP_
